import { ChainId, CosmosChainId, DevnetCosmosChainId, EthereumChainId, TestnetCosmosChainId } from '../ts-types';
import { ChainInfo, Network, NetworkEndpoints } from './types';
/**
 * Get endpoint object for a network. Also see {@link Network} for different networks on Router chain.
 *
 * @example
 * const endpoint =  getEndpointsForNetwork(Network.devnet);
 *
 * @group Network
 */
export declare const getEndpointsForNetwork: (network: Network) => NetworkEndpoints;
export declare const getChainInfoForNetwork: (network: Network) => ChainInfo;
export declare const getEthereumChainIdForNetwork: (network: Network) => EthereumChainId;
export declare const getNetworkInfo: (network: Network) => ChainInfo & NetworkEndpoints;
export declare const getEndpointsFromChainId: (chainId: TestnetCosmosChainId | CosmosChainId | ChainId | DevnetCosmosChainId) => {
    rpc: string;
    rest: string;
};
